NSTextInternal::HeaderFooter Struct Reference

Internal structure: use to store a header. More...

## Public Member Functions

| HeaderFooter ()
| Constructor. More...

## Public Attributes

MWAWHeaderFooter::Type | m_type
| the header type More...
MWAWHeaderFooter::Occurence | m_occurence
| the header occurence More...
int | m_page
| the page More...
long | m_paragraph [2]
| the paragraph position in the header zone (first and last) More...
long | m_textParagraph
| the text position More...
int | m_unknown
| a unknown value More...
bool | m_parsed
| a flag to know if the footnote is parsed More...
std::string | m_extra
| some extra debuging information More...

## Friends

std::ostream & | operator<< (std::ostream &o, HeaderFooter const &hf)
| operator<< More...

## Detailed Description

Internal structure: use to store a header.

## Constructor & Destructor Documentation

NSTextInternal::HeaderFooter::HeaderFooter | ( |  | ) |

inline

Constructor.

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | HeaderFooter const & | hf
| ) |  |

friend

operator<<

## Member Data Documentation

std::string NSTextInternal::HeaderFooter::m_extra

some extra debuging information

Referenced by NSTextInternal::operator<<(), and NSText::readHeaderFooter().

MWAWHeaderFooter::Occurence NSTextInternal::HeaderFooter::m_occurence

the header occurence

Referenced by NSText::computePositions(), NSTextInternal::operator<<(), and NSText::readHeaderFooter().

int NSTextInternal::HeaderFooter::m_page

the page

Referenced by NSText::computePositions().

long NSTextInternal::HeaderFooter::m_paragraph[2]

the paragraph position in the header zone (first and last)

Referenced by HeaderFooter(), NSTextInternal::operator<<(), NSText::readHeaderFooter(), and NSText::sendHeaderFooter().

bool NSTextInternal::HeaderFooter::m_parsed

mutable

a flag to know if the footnote is parsed

Referenced by NSText::sendHeaderFooter().

long NSTextInternal::HeaderFooter::m_textParagraph

the text position

Referenced by NSText::computePositions(), NSTextInternal::operator<<(), and NSText::readHeaderFooter().

MWAWHeaderFooter::Type NSTextInternal::HeaderFooter::m_type

the header type

Referenced by NSText::computePositions(), NSTextInternal::operator<<(), and NSText::readHeaderFooter().

int NSTextInternal::HeaderFooter::m_unknown

a unknown value

Referenced by NSTextInternal::operator<<(), and NSText::readHeaderFooter().

The documentation for this struct was generated from the following file:

- NSText.cxx